	SUBROUTINE DELAY(IDELAY)
	LOGICAL*1 INUM(30)
C
	TYPE *,' '
	TYPE *,'Default delay after each character is 0 seconds.'
	WRITE(5,10)
 10	FORMAT('$Enter the desired delay time in clock ticks (1/60 sec):')
C
C	  ASK FOR TWO LETTERS ONLY
C
	CALL READST(INUM,LEN,2)
C
C	  CHECK FOR LEGAL INPUT
C
	IF(LEN.EQ.0.OR.INUM(1).LT."60.OR.INUM(1).GT."71) RETURN
C
C	  NOW CONVERT FROM ASCII TO INTEGER
C
	IDELAY=INUM(1)-"60
	IF(LEN.EQ.1.OR.INUM(2).LT."60.OR.INUM(2).GT."71) RETURN
	IDELAY=IDELAY*10+(INUM(2)-"60)
	RETURN
	END
